/*
DECLARE @RetSP int
DECLARE @retcodErr int
EXECUTE @RetSP = [dbo].[srv_change_rete_CU] 
    'F'                 -- @nuovaRete
  , 'S'                 -- @vecchiaRete
  , 'VLNLLL61D62Z133G'  -- @CF
  , 1                   -- @isCodFis: 0-PIva; 1-CF; 2-CodMan Fiduciarie
  , '507435CO801'       -- @CodiceContratto
  , @retcodErr OUTPUT
  Select @RetSP RetSP, @retcodErr retcodErr
*/
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [dbo].[srv_change_rete_CU]
	-- Add the parameters for the stored procedure here
	  @nuovaRete varchar(1)
	, @vecchiaRete varchar(1)
	, @CF varchar(16)
	--FC 03/10/2014
	--Aggiunto Parametro gestione CF o P.I.
	-- 1 = CF
	-- 0 =P.I.
	-- 2 =CodMan Fiduciarie
	, @isCodFis  int 
	, @CodiceContratto varchar(20)
	, @retcodErr int output
AS
BEGIN
	--SET NOCOUNT ON;
--toDo FC 
begin try
-- begin	transaction update_cf
--------GIORNALIERO---------------------------------------------
--		update C6Mart.CONTRATTOSEI
--		set Cod_Fiscale = @nuovo
--		where Cod_Fiscale = @vecchio
		update C6Mart.GESTIONE_PDF_FTP
		set rete = @nuovaRete
		where CodiceFiscale = @CF and Rete=@vecchiaRete
		update c6Mart.gestione_email
		set rete = @nuovaRete
		where Cod_Fiscale = @CF and Rete=@vecchiaRete
--------TRIMESTRALE---------------------------------------------
        update C6StagingPeriodico.ContrattiPretrimestrale
		set rete = @nuovaRete
		where Cod_Fiscale = @CF and codiceContratto = @CodiceContratto and Rete = @vecchiaRete
        update C6StagingPeriodico.APPO_CONTRATTI
		set rete = @nuovaRete
		where Cod_Fiscale = @CF and Rete=@vecchiaRete
        update C6MartPeriodico.CONTRATTOSEI
		set rete = @nuovaRete
		where Cod_Fiscale = @CF and codiceContratto = @CodiceContratto and Rete=@vecchiaRete
        update C6MartPeriodico.ANAG_CLIENTI
		set rete = @nuovaRete
		where Cod_Fiscale = @CF and Rete=@vecchiaRete
        update C6MartPeriodico.controllo_trimestrale
		set rete = @nuovaRete
		where Cod_Fiscale = @CF and Rete=@vecchiaRete
		update C6MartPeriodico.GESTIONE_PDF_FTP
		set rete = @nuovaRete
		where CodiceFiscale = @CF and codiceContratto = @CodiceContratto and Rete=@vecchiaRete
	    update C6MartPeriodico.CRUSCOTTO_CONTRATTISEI
		set rete = @nuovaRete
		where CodiceFiscale = @CF and Rete=@vecchiaRete
		update [C6StagingPeriodico].[Popola_PiramideModello] 
		set rete = @nuovaRete
		where Cod_Fiscale = @CF and Rete=@vecchiaRete
-- Sul Sei tabella Cliente il CF è diviso per categoria P.I.V.A., Cod. Fiscale o CodMan per Fiduciarie	
		IF @isCodFis = 1 
		Update C6STAGINGPERIODICO.RP_InfoCliente
		set rete = @nuovaRete
		where CodFis = @CF and codiceContratto = @CodiceContratto and Rete=@vecchiaRete
		IF @isCodFis = 0 
		Update C6STAGINGPERIODICO.RP_InfoCliente
		set rete = @nuovaRete
		where piva = @CF and codiceContratto = @CodiceContratto and Rete=@vecchiaRete
		IF @isCodFis = 2 
		Update C6STAGINGPERIODICO.RP_InfoCliente
		set rete = @nuovaRete
		where CodMan = @CF and codiceContratto = @CodiceContratto and Rete=@vecchiaRete
--toFC
--commit transaction update_cf
select @retcodErr=0
--select * from C6Mart.gestione_email where cod_fiscale='VGNLSI31D47D526G' 
--select * from C6Mart.CONTRATTOSEI where cod_fiscale=@nuovo
--toFC 
end try
begin catch
--	--print('errore')
--	select 'CF : '+@nuovo CodFiscale,@@error codErr,ERROR_MESSAGE() errMss
  	--rollback transaction update_cf
    select @retcodErr=-1
end catch
END